Mailinglist Archive: opensuse-updates (126 mails)

< Previous Next >
openSUSE-SU-2018:0044-1: moderate: Security update for gimp
openSUSE Security Update: Security update for gimp
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0044-1
Rating: moderate
References: #1050469
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:

This update for gimp fixes the following issues:

- Don't build gimp with webkit1 support, as it is no longer maintained and
has plenty of security bugs.

This disables the GIMP's built-in help browser; it will use an external
browser when configured this way.

This works around a number of security vulnerabilities in Webkit1.

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-13=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2018-13=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

gimp-2.8.18-6.3
gimp-debuginfo-2.8.18-6.3
gimp-debugsource-2.8.18-6.3
gimp-devel-2.8.18-6.3
gimp-devel-debuginfo-2.8.18-6.3
gimp-plugin-aa-2.8.18-6.3
gimp-plugin-aa-debuginfo-2.8.18-6.3
gimp-plugins-python-2.8.18-6.3
gimp-plugins-python-debuginfo-2.8.18-6.3
libgimp-2_0-0-2.8.18-6.3
libgimp-2_0-0-debuginfo-2.8.18-6.3
libgimpui-2_0-0-2.8.18-6.3
libgimpui-2_0-0-debuginfo-2.8.18-6.3

- openSUSE Leap 42.3 (x86_64):

libgimp-2_0-0-32bit-2.8.18-6.3
libgimp-2_0-0-debuginfo-32bit-2.8.18-6.3
libgimpui-2_0-0-32bit-2.8.18-6.3
libgimpui-2_0-0-debuginfo-32bit-2.8.18-6.3

- openSUSE Leap 42.3 (noarch):

gimp-lang-2.8.18-6.3

- openSUSE Leap 42.2 (i586 x86_64):

gimp-2.8.18-2.6.2
gimp-debuginfo-2.8.18-2.6.2
gimp-debugsource-2.8.18-2.6.2
gimp-devel-2.8.18-2.6.2
gimp-devel-debuginfo-2.8.18-2.6.2
gimp-plugin-aa-2.8.18-2.6.2
gimp-plugin-aa-debuginfo-2.8.18-2.6.2
gimp-plugins-python-2.8.18-2.6.2
gimp-plugins-python-debuginfo-2.8.18-2.6.2
libgimp-2_0-0-2.8.18-2.6.2
libgimp-2_0-0-debuginfo-2.8.18-2.6.2
libgimpui-2_0-0-2.8.18-2.6.2
libgimpui-2_0-0-debuginfo-2.8.18-2.6.2

- openSUSE Leap 42.2 (noarch):

gimp-lang-2.8.18-2.6.2

- openSUSE Leap 42.2 (x86_64):

libgimp-2_0-0-32bit-2.8.18-2.6.2
libgimp-2_0-0-debuginfo-32bit-2.8.18-2.6.2
libgimpui-2_0-0-32bit-2.8.18-2.6.2
libgimpui-2_0-0-debuginfo-32bit-2.8.18-2.6.2


References:

https://bugzilla.suse.com/1050469


< Previous Next >
This Thread
  • No further messages